com.pivotal.gemfirexd.internal.client.net

## Interface StatementReplyInterface

All Known Implementing Classes:
  NetResultSetReply, NetStatementReply, NetXAConnectionReply

    public interface StatementReplyInterface

### Method Summary

Methods
`void` `readDescribeInput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecute(PreparedStatementCallbackInterface preparedStatement)`
`void` `readExecuteCall(StatementCallbackInterface statement)`
`void` `readExecuteImmediate(StatementCallbackInterface statement)`
`void` `readOpenQuery(StatementCallbackInterface statement)`
`void` `readPrepare(StatementCallbackInterface statement)`
`void` `readPrepareDescribeOutput(StatementCallbackInterface statement)`
`void` `readSetSpecialRegister(StatementCallbackInterface statement)`
`void` `readStatementID(StatementCallbackInterface statement)`

### Method Detail

#### readPrepareDescribeOutput

    void readPrepareDescribeOutput(StatementCallbackInterface statement)
                                   throws DisconnectException

Throws:
  `DisconnectException`

#### readStatementID

    void readStatementID(StatementCallbackInterface statement)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### readExecuteImmediate

    void readExecuteImmediate(StatementCallbackInterface statement)
                              throws DisconnectException

Throws:
  `DisconnectException`

#### readOpenQuery

    void readOpenQuery(StatementCallbackInterface statement)
                       throws DisconnectException

Throws:
  `DisconnectException`

#### readExecute

    void readExecute(PreparedStatementCallbackInterface preparedStatement)
                     throws DisconnectException

Throws:
  `DisconnectException`

#### readPrepare

    void readPrepare(StatementCallbackInterface statement)
                     throws DisconnectException

Throws:
  `DisconnectException`

#### readDescribeInput

    void readDescribeInput(PreparedStatementCallbackInterface preparedStatement)
                           throws DisconnectException

Throws:
  `DisconnectException`

#### readDescribeOutput

    void readDescribeOutput(PreparedStatementCallbackInterface preparedStatement)
                            throws DisconnectException

Throws:
  `DisconnectException`

#### readExecuteCall

    void readExecuteCall(StatementCallbackInterface statement)
                         throws DisconnectException

Throws:
  `DisconnectException`

#### readSetSpecialRegister

    void readSetSpecialRegister(StatementCallbackInterface statement)
                                throws DisconnectException

Throws:
  `DisconnectException`